package com.example.demo.dto.response.admin;

import com.example.demo.entity.Paper;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @Author hxh
 * @Date 2020-09-21 20:50
 * @Descrption TODO
 */
@ApiModel(value = "")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class ExamWithoutStemsDto {

    @ApiModelProperty("试卷号")
    private Integer id;

    @ApiModelProperty("试卷名")
    private String name;

    @ApiModelProperty("年级分类")
    private String groupName;

    @ApiModelProperty("年级")
    private String gradeName;

    @ApiModelProperty("学科")
    private String subject;

    public ExamWithoutStemsDto(Paper p){
        this.id = p.getId();
        this.name = p.getName();
        this.groupName = p.getGroupName();
        this.gradeName = p.getGradeName();
        this.subject = p.getSubject();
    }
}
